%def_without test
%define module_name Mail-GPG
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Perl/Role/Collection/Array.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(GnuPG/Interface.pm) perl(List/MoreUtils.pm) perl(MIME/Entity.pm) perl(MIME/Parser.pm) perl(MIME/QuotedPrint.pm) perl(Mail/Address.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators /usr/bin/gpg

Name: perl-%module_name
Version: 1.0.12
Release: alt1
Summary: Handling of GnuPG encrypted / signed mails
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JR/JRED/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This Perl modules handles all the details of encrypting and.signing Mails using GnuPG according to RFC 3156 and RFC 2440,
that is OpenPGP MIME and traditional armor signed/encrypted mails.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/M*

%files scripts
%_bindir/*

%changelog
* Tue Oct 30 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.12-alt1
- regenerated from template by package builder

* Sat Sep 30 2017 Igor Vlasenko <viy@altlinux.ru> 1.0.11-alt1
- regenerated from template by package builder

* Sat Nov 14 2015 Igor Vlasenko <viy@altlinux.ru> 1.0.10-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.7-alt1
- initial import by package builder

